﻿using Syncfusion.SfImageEditor.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Resources;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ImageEditor_SimpleSample
{
	public partial class MainPage : ContentPage
	{
        public MainPage()
        {
            InitializeComponent();
            imageeditor.ImageSaved += Imageeditor_ImageSaved;
            imageeditor.Source = ImageSource.FromResource("ImageEditor_SimpleSample.image3.png",GetType().GetTypeInfo().Assembly);
            imageeditor.ToolbarSettings.ToolbarItems.Add(new FooterToolbarItem()
            {
                Text="AddText"
            });
            imageeditor.ToolbarSettings.ToolbarItemSelected += ToolbarSettings_ToolbarItemSelected;

            //imageeditor.BeginReset += Imageeditor_BeginReset;
            //imageeditor.EndReset += Imageeditor_EndReset;
        }

        private void Imageeditor_ImageSaved(object sender, ImageSavedEventArgs args)
        {
           
        }

        private void Imageeditor_BeginReset(object sender, BeginResetEventArgs args)
        {
           
        }

        private void Imageeditor_EndReset(object sender, EndResetEventArgs args)
        {
            
        }

        private void ToolbarSettings_ToolbarItemSelected(object sender, ToolbarItemSelectedEventArgs e)
        {
            string text = e.ToolbarItem.Text;
            if (text == "AddText")
            {
                imageeditor.AddText("NewText", new TextSettings()
                {
                    Bounds = new Rectangle(70, 90, 30, 10)
                });
            }

            else if (e.ToolbarItem.Name == "Save")
            {
                imageeditor.AddShape(ShapeType.Rectangle, new PenSettings()
                {
                    Bounds = new Rectangle(70, 90, 30, 10)
                });

                e.Cancel = true;
                Device.StartTimer(TimeSpan.FromSeconds(5), () =>
                {
                    imageeditor.Save();
                    return false;
                });

            }
            // You can change the in-built toolbar behavior by using the Name property in Toolbar item
            else if (e.ToolbarItem.Name == "Reset")
            {
                e.Cancel = true;
                imageeditor.Source = ImageSource.FromResource("ImageEditor_SimpleSample.Image1.png", GetType().GetTypeInfo().Assembly);
            }
        }
    }
}
